package com.bocloud.cmp.provider.common;

import com.bocloud.cmp.model.EnterpriseProjectModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 华为企业项目管理
 * 
 * @author hp
 *
 */
public interface EnterpriseProvider extends SuperProvider {

	default BocloudResult listEnterpriseProject() {
		return new BocloudResult(false, "暂未开发！");
	}

	default BocloudResult modifyEnterpriseProject(EnterpriseProjectModel model) {
		return new BocloudResult(false, "暂未开发！");
	}

	default BocloudResult createEnterpriseProject(EnterpriseProjectModel model) {
		return new BocloudResult(false, "暂未开发！");
	}

	default BocloudResult enterpriseProjectEnable(EnterpriseProjectModel model) {
		return new BocloudResult(false, "暂未开发！");
	}

}
